@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");
@import url("https://use.typekit.net/whj6vou.css");

:root {
  --brand-color-dark: #50497C;
  --brand-green: #e3c385;
  --brand-background: #243e58;
  --brand-button-background: #f4f5f0;
  --brand-shadow: #aea06b;
  --brand-border: #BDBEC0;
  --brand-white: #FFFFFF;
  --brand-grey: #6C6F70;
  --brand-black: #000000;
  --link-color:#3a3f44;
  
  --body-font: "gotham",sans-serif;
  --heading-font: "scotch-display-compressed",sans-serif;
  --font-family-serif: "EB Garamond", "Georgia", georgia, serif, system-ui;
  
  --custom-transition: all 0.3s ease-in-out;
  
  --img-ratio-rate-primary: 4 / 3;
  --img-ratio-rate-primary-mobile: 4 / 3;
  --img-ratio-rate-secondary: 4 / 3;
  --img-ratio-rate-secondary-mobile: 4 / 3;
  --img-ratio-mda-secondary-rate: 4 / 3;
  --img-ratio-mda-secondary-rate-mobile: 4 / 3;
}
body{
  font-family: var(--body-font);
}
@media screen {
  
  .header a i,
  .backtotop a i,
  .footer a i {
    margin-right: 0px;
  }
  
  
  .main-be-area {
    background-color: transparent;
  }
  
  .header {
    display: flex;
    justify-content: center;
    align-items: center;    
    background-color: var(--brand-button-background);    
    border-bottom: 1px solid #aca694;
    z-index: 4;    
    padding: 10px 0px;
  }
  
  .header .container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0 30px;    
    gap: 10px;
  }
  
  .header .invisible-flex-item {
    display: flex;
    align-self: stretch;
    
    width: 150px;
    height: 100%;
  }
  
  .header .logo {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .header .logo img {
    display: block;
    
    height: 108px;
    width: auto;
    
    transition: var(--custom-transition);
  }
  
  .header .logo a:hover img {
    opacity: 80%;
  }
  
  /* --- Back to Site button --- */
  .header .backtosite {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    position: static;
  }
  
  .header .backtosite a {
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: relative;
    color: #000;
    background-color: var(--brand-green);
    border: 1px solid var(--brand-green);
    line-height: 24px;
    text-align: center;
    min-width: 118px;
    min-height: 30px;
    padding-block: 0px;
    padding-inline: 20px;
    transition: var(--custom-transition);
    font-family: gotham, sans-serif;
    font-weight: 500;
    text-transform: uppercase;
    height: 50px;
    outline: 0;
    padding: 13px 23px;
    font-size: 18px;
  }
  
  .header .backtosite:hover a {
    color: var(--brand-white);
    background-color: var(--brand-background);
  }
  #bigCalendar .confirm-section button{
    color: #000;
    background-color: var(--brand-green);
    border: 1px solid var(--brand-green);    
    text-transform: uppercase;
  }
  #bigCalendar .confirm-section button:hover {
    color: var(--brand-white);
    background-color: var(--brand-background);
}
  
  
  
  /* --- Abandonment message --- */
  #exitIntentWrapper {
    background-color: var(--brand-shadow);
  }
  
  #exitIntentPopupContainer {
    box-shadow: 0px 0px 10px 10px var(--brand-shadow);
    
    height: 80vh;
    padding: 0px;
  }
  
  #allContent {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    
    background-color: var(--brand-grey);
    
    min-width: 50%;
    height: 100%;
    padding: var(--spacing-2x);;
  }
  
  #allContent > * {
    margin: 0px;
  }
  
  #exitIntentHeading {
    font-family: var(--font-family-serif);
    font-size: 29px;
    font-weight: 400;
    line-height: 36.8px;
    text-align: center;
    text-transform: uppercase;
  }
  
  #exitIntentText {
    font-family: var(--font-stack-sans-serif);
    font-size: 16px;
    font-weight: 400;
    line-height: 31.2px;
    
    max-width: 65ch;
  }
  
  #exitIntentText > p:has(label) {
    display: flex;
    justify-content: center;
    align-items: center;
    
    column-gap: var(--spacing-1x);
  }
  
  #emailBasketAddressPopup {
    padding: var(--spacing-2x) !important;
  }
  
  #exitIntentCtaButton {
    display: flex;
    justify-content: center;
    align-items: center;
    
    background-color: var(--brand-color);
    color: var(--brand-white);
    
    font-family: var(--font-family-serif);
    font-size: 16px;
    letter-spacing: 1px;
    line-height: 71px;
    
    width: fit-content;
    padding-inline: 35px;
    padding-block: 0px;
    border: 0px solid transparent;
    
    transition: var(--custom-transition);
  }
  
  #exitIntentCtaButton:hover {
    background-color: var(--brand-color-dark);
  }
  
  #exitIntentPopupContainer::after {
    content: "";
    align-self: stretch;
    
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    
    width: 50%;
    height: 100%;
  }
  
  
  
  /* --- Back to top --- */
  .backtotop {
    background-color: var(--brand-white);
    color: var(--brand-grey);
    
    width: 44px;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    margin-bottom: 11px;
    margin-top: 11px;
    margin-left: auto;
    margin-right: 20px;
    z-index: 2;
    
    transition: var(--custom-transition);
  }
  
  .backtotop:hover {
    background-color: var(--brand-grey);
    color: var(--brand-white);
  }
  
  .backtotop a {
    display: flex;
    justify-content: center;
    align-items: center;
    
    width: 100%;
    height: 100%;
  }
  
  .backtotop a i {
    color: var(--brand-grey);
    
    font-size: 25px;
    
    margin: 0px;
    
    transition: var(--custom-transition);
  }
  
  .backtotop:hover a i {
    color: var(--brand-white);
  }
  
  
  
  .footer {
    display: block;
    background-color: var(--brand-background);
    color: var(--brand-white);
    
    font-size: 10.8px;
    font-weight: 400;
    line-height: 21.6px;
    text-align: center;
    
    padding-top: 80px;
    padding-bottom: 5px;
    border-top: 1px solid var(--brand-border);
  }
  .ko-footer-middle div {
    flex: 1;
}
 nav#ko-footer-nav {
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 80px 0 30px;
    flex-wrap: wrap;
}
nav#ko-footer-nav a {
    border-bottom: 1px solid #0000;
    color: var(--voyager-color--white);
    display: block;
    font-family: gotham, sans-serif;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: .02em;
    line-height: 24px;
    padding: 5px 25px;
    position: relative;
    text-transform: uppercase;
    transition: all .5s ease 0s;
}
nav#ko-footer-nav a:hover{
  border-bottom: 1px solid var(--brand-green);
    color: var(--brand-green);
}
.ko-footer-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 55px 30px;
    font-size: 16px;    
    position: relative;
}
button#ko-scroll-top {
    background-color: transparent;
    border: 1px solid transparent;
    display: flex;
    flex-direction: column;
    position: absolute;
    transform: translate(-50%);
    left: 50%;
    gap: 10px;
    cursor: pointer;
    height: 114px;
    width: 114px;
    justify-content: center;
    border-radius: 50%;        
    transition: all .5s ease;
}
button#ko-scroll-top svg, button#ko-scroll-top span{ 
    transition: all .5s ease;  
}
button#ko-scroll-top:hover{
  border: 1px solid var(--brand-green);
}
button#ko-scroll-top:hover .scrtp-txt{
  transform: translateY(5px);
  color: var(--brand-green);
}
button#ko-scroll-top:hover svg {
    transform: translateY(-5px);
}
button#ko-scroll-top:hover svg path{
  fill: var(--brand-green);
}
button#ko-scroll-top span {
    color: #fff;
    font-size: 16px;
    letter-spacing: .03em;
    line-height: 20px;
    padding: 0 10px;
    text-transform: uppercase;
}
.ko-developed-by a {
    color: #fff;
}
  .ko-footer-middle {
    background: url(https://kilkennyormdev.wpenginepowered.com/wp-content/themes/kilkenny-ormonde/assets/img/footer-bg.svg);
    background-position: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    border: 1px solid #fff3;
    width: 100%;
    filter: f;
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}
  .footer .contact {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    gap: 5px;
    flex-direction: column;
  }
  .footer .contact h3, .ko-footer-column.ko-footer-newsletter h3 {
    font-family: var(--heading-font);
    font-size: clamp(1.5rem, .45vw + 1.33rem, 1.88rem);
    font-weight: 400;
    letter-spacing: .02em;
    line-height: clamp(2.13rem, .45vw + 1.95rem, 2.5rem);
    margin-bottom: 15px;
    margin-top: 0;
    text-align: center;
}
.ko-footer-column.ko-footer-contact.contact {
    font-size: 16px;
    font-weight: 400;
    letter-spacing: .02em;
    line-height: 24px;
}
.ko-footer-column.ko-footer-contact.contact, .ko-footer-column.ko-footer-newsletter {
    padding: 30px;
}
.ko-footer-column.ko-footer-partners {
    border-left: 1px solid #fff3;
    border-right: 1px solid #fff3;   
     max-width: 615px;
}
.ko-collection-logo {
    padding-bottom: 48px;
    padding-top: 48px;
    border-bottom: 1px solid #fff3;
}
div#ko-partner-slider {
    padding: 80px 90px;
}
div#ko-partner-slider .slick-next:before, div#ko-partner-slider .slick-prev:before {
    content: none !important;
}
div#ko-partner-slider .slick-next, div#ko-partner-slider .slick-prev {
    width: 40px;
    height: 40px;
    z-index: 999;
}
div#ko-partner-slider .slick-prev svg {
    transform: rotate(180deg);
}
div#ko-partner-slider .slick-next:hover svg, div#ko-partner-slider .slick-prev:hover svg{
  background-color: var(--brand-green);
  border-radius: 50%;
}
.ko-partner-item {
    display: inline-flex !important;
    align-items: center;
    justify-content: center;
}
  .footer .address {margin: 5px 0 20px 0;}
  .footer .phone {margin: 0;}
  .footer .fax {margin: 5px 0;}
  .footer .email {margin: 0;}
  .ko-contact-list a {
    border-bottom: 1px solid #fff;
}
  .footer .contact a {
    color: var(--brand-);
    transition: var(--custom-transition);
  }
a.ko-newsletter-button {
    border: 1px solid #ffffff4d;
    color: var(--brand-white);
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: normal;
    line-height: 24px;
    padding: 15px 30px;
    text-transform: uppercase;
}
a.ko-newsletter-button:hover{
  background-color: var(--brand-green);
  border: 1px solid #000;
  color: #000;
}
.ko-social-links {
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    list-style: none;
    margin: 30px 0 0;
    padding: 0;
    text-align: center;
    width: 100%;
    gap: 20px;
}
.ko-social-links a svg {
    background-color: var(--brand-background);
    border-radius: 50%;
}
.ko-social-links a:hover svg {
    background-color: var(--brand-green);
}
.ko-social-links a:hover svg path, div#ko-partner-slider .slick-next:hover svg path, div#ko-partner-slider .slick-prev:hover svg path{
    fill: #000;
}
  .footer .contact a:hover {
    color: var(--brand-green);
  }
  
  .footer .socials {
    display: flex;
    justify-content: center;
    align-items: center;
    
    width: 100%;
    column-gap: 11px;
  }
  
  .footer .socials a {
    display: flex;
    justify-content: center;
    align-items: center;
    
    background-color: var(--brand-color);
    color: var(--brand-white);
    
    font-size: 16px;
    
    width: 30px;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    
    transition: var(--custom-transition);
  }
  
  .footer .socials a:hover {
    background-color: var(--brand-grey);
  }
  
  .footer .socials a svg {
    display: block;
    
    fill: var(--brand-white);
    
    width: 22px;
    
    transition: var(--custom-transition);
  }
  
  .footer .seals {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    
    gap: 9.576px;
  }
  
  .footer .seals img {
    display: block;
    
    height: 75px;
    width: auto;
  }
  
  .footer .seals a img {
    transition: var(--custom-transition);
  }
  
  .footer .seals a:hover img {
    opacity: 80%;
  }
  
  .footer .links {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    
    font-size: 10.26px;
    line-height: 36px;
    text-transform: uppercase;
    
    column-gap: 6px;
    row-gap: 12px;
  }
  
  .footer .links > span {
    color: var(--brand-white);
    
    font-size: 11.97px;
    font-weight: 300;
    line-height: 42px;
  }
  
  .footer .links a {
    background-color: transparent;
    color: var(--brand-grey);
    
    text-transform: uppercase;
    
    padding-block: 3px;
    padding-inline: 7px;
    
    transition: var(--custom-transition);
  }
  
  .footer .links a:hover {
    background-color: var(--brand-grey);
    color: var(--brand-white);
  }
  
  .footer small {
    font-size: inherit;
    line-height: inherit;
    text-transform: lowercase;
  }
  
  .footer small a {
    color: var(--brand-grey);
    
    transition: var(--custom-transition);
  }
  
  .footer small a:hover {
    color: var(--brand-color);
  }
  
}
.button--branded, .button--secondary {
    background-color: var(--brand-button-background); 
    border: 1px solid var(--brand-background);
    color: var(--brand-background);
    position: relative;
    transition: all .5s ease, transform .5s ease;
}
.button--branded:hover, .button--secondary:hover {
  background-color: var(--brand-button-background); 
    border: 1px solid var(--brand-green);
    color: var(--brand-background);
    box-shadow: 6px 6px 0px var(--brand-shadow);
}
.button--branded:active, .button--secondary:active{
    background-color:#aca694;
    color: #000;
}
.button--branded:after {
    background-color: var(--brand-shadow);
    content: "";
    inset: 0;
    opacity: 0;
    position: absolute;
    transform: translate(0);
    transition: all .5s ease, transform .5s ease;
    z-index: -1;
}
.button--branded:hover:after {
    opacity: 1;
    transform: translate(6px, 6px);
}
.button--primary {
    color: var(--link-color);
}
.button--primary:hover{
  color: var(--link-color);
  font-weight: 500;
}
.button-card-horizontal .button-card-horizontal__title {
    color: var(--brand-background);
    font-size: 14px;
}
.banner .banner__icon, .banner .banner__title, .banner .banner__paragraph, .banner .banner__caption {
    color: var(--brand-background);
}
.avvio-calendar .check-in, .mda-table tr td.mda-table__checkin-date:hover, .mda-table tr td.mda-table__stay-date:hover, .avvio-calendar__date:not(.check-out):not(.unavailable):hover, .avvio-calendar .range, .avvio-calendar .check-out::before, .avvio-calendar .hovered{
  background-color: var(--brand-shadow);
  color: var(--brand-black);
}
.avvio-calendar .range, .mda-table tr td.mda-table__checkin-date, .mda-table tr td.mda-table__stay-date {
    background-color: var(--brand-green);
  color: var(--brand-black);
}
.avvio-calendar .hovered:hover::before {
    background-color: transparent;
}
.mda-table__checkout-date::after, .mda-table__checkout-date .mda-table__tooltip-actor::after, .mda-table__hovered:not(.mda-table__closed, .mda-table__no-checkin, .mda-table__no-depart):hover, .mda-table__col-price.mda-table__stay-date:not(.mda-table__no-checkin, .mda-table__checkout-date):hover, .mda-table__hovered:hover ~ .mda-table__hovered:not(.mda-table__checkout-date) {
    background-color: var(--brand-shadow);
    cursor: pointer;
    color:var(--brand-black);
}
.brand-color-text, .cta-box-large__title, .card-information__price{
  color: var(--brand-black);
}
.ko-footer-top .ko-footer-column.ko-footer-contact.contact {
    display: none;
}
@media screen and ( max-width: 1199px ) {
  
  #exitIntentPopupContainer {
    width: 80vw;
    height: 60vh;
  }
  
}



/* ----- Tablet specific ----- */
@media screen and (max-width: 999px) {
  .ko-footer-middle .ko-footer-column.ko-footer-contact.contact {
    display: none;
}
.ko-footer-top .ko-footer-column.ko-footer-contact.contact {
    display: flex;
}
  .header .container {
    grid-template-columns: repeat(2, auto);
  }
  
  .header .invisible-flex-item {
    display: none;
  }
  
  .header .logo img {
    height: 103px;
  }
  
  #exitIntentPopupContainer {
    width: 90vw;
    height: 70vh;
  }
  
  .footer .contact {
    flex-direction: column;
  }
  
  .footer .contact > span {
    display: none;
  }
  
  .footer .seals img {
    height: 65px;
  }
  nav#ko-footer-nav, button#ko-scroll-top{
    display: none;
  }
  .ko-footer-middle {
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
}
 .ko-footer-bottom {
    flex-direction: column;
    gap: 20px;
} 
.ko-footer-column.ko-footer-partners {
    border-left: 0;
    border-right: 0;
    max-width: 100%;    
    background: url(https://kilkennyormdev.wpenginepowered.com/wp-content/themes/kilkenny-ormonde/assets/img/footer-bg.svg);
    background-position: 100%;
    background-repeat: no-repeat;
    background-size: cover;        
    width: 100%;
}
.ko-footer-middle {
    background: none;
}
}



@media screen and ( max-width: 799px ) {
  
  #exitIntentPopupContainer {
    flex-direction: column;
    
    width: 80vw;
    height: 90vh;
  }
  
  #allContent {
    width: 100%;
    height: 65%;
  }
  
  #exitIntentPopupContainer::after {
    width: 100%;
    height: 35%
  }
  
}



/* ----- Mobile specific ----- */
@media screen and (max-width: 499px) {
  
  .header .container {
    display: flex;
    justify-content: center;
    
    padding-inline: 0px;
  }
  
  .header .logo img {
    height: 98px;
  }
  
  .header .backtosite {
    display: none;
  }
  
  #exitIntentWrapper {
    display: none;
  }
  
  .footer .seals img {
    height: 55px;
  }

  #allContent {
    width: 100%;
    height: 90%;
  }
  
  #exitIntentPopupContainer::after {
    width: 100%;
    height: 10%
  }
  
}